Bug 1192038 - (CVE-2021-0936) VUL-0: CVE-2021-0936: In acc_read of f_accessory.c, there is a possible memory corruption due to a use after free
(CVE-2021-0936)
VUL-0: CVE-2021-0936: In acc_read of f_accessory.c, there is a possible memor...
Status: RESOLVED INVALID
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P5 - None : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/313509/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-26 13:26 UTC by Gianluca Gabrielli
Modified: 2021-10-26 13:27 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-10-26 13:26:35 UTC
In acc_read of f_accessory.c, there is a possible memory corruption due to a use
after free. This could lead to local escalation of privilege with no additional
execution privileges needed. User interaction is not needed for
exploitation.Product: AndroidVersions: Android kernelAndroid ID:
A-173789633References: Upstream kernel

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-0936
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-0936
https://source.android.com/security/bulletin/pixel/2021-10-01
Comment 1 Gianluca Gabrielli 2021-10-26 13:27:15 UTC
linux <not-affected> (Pixel or Android-specific driver)